You are not logged in.

#1 2020-04-22 15:12:13

Zorjo
Member

PreviousArmor doesn´t work

Hi!!

I´m new in the forum, and I have one simple question. Why the "previous weapon" option doesn´t work in my game? I know that most players have key bindings witch each of the weapons of the game. But I preffer the "next weapon" "previous weapon" option. Is the way that I have been playing since the game originally launched, and I´m used to it. In my case, the "next weapon" is configured with the "wheel up" option of my mouse, and the "previous weapon" with  the "wheel down" option of my mouse. The "next weapon" with the "wheel up" option of my mouse works perfectly. But, althought is correctly configured in the options of the game, the "previous weapon" with  the "wheel down" option of my mouse doesn´t do anything. It doesn´t work. What can I do? I´m playing with the original game, installed from the original CD of 1996, but with the Ultimate Patch installed. Thanks, and sorry for my bad english. I´m from Spain.

#2 2020-04-22 22:15:12

dwere
Member

Re: PreviousArmor doesn´t work

This patch seems like a mess. But my suspicion that it includes an obsolete progs.dat was wrong.

"Previous weapon" wasn't available in the game right away, it was added to id1 with one of the official patches. Modern engines often allow binding it from the menu. Unfortunately, some of the old mods were based on obsolete code and don't include the feature, so it won't work.

Do you have this problem with the default campaign, or only with specific mods? The latter would explain it.

#3 2020-04-23 02:08:34

Zorjo
Member

Re: PreviousArmor doesn´t work

I have the problem with the default campaign, yes. I haven´t install any new levels or mods, except obiously the patch. So the patch is a mess? I didn´t know it. I´m not an expert on community made patches and mods. And the game, except for the "previous weapon" bug, works perfectly fine. Is this fixable? And if the answer is no, any patches do you recommend with the same functions as the Ultimate Patch (this patch I think includes OpenGl Quake, DarkPlaces mod, WinQuake....)?

Thanks

#4 2020-04-23 08:55:24

dwere
Member

Re: PreviousArmor doesn´t work

Maybe it's not bad, but even from the comments section it is clear that it has a fairly old version of Darkplaces, and I fail to see what else it offers other than a (very compressed) soundtrack.

I can see the appeal though, if you just want to install something and go.

I tried it and I don't have the problem, by the way. So it must be something with your id1 folder. I see that you've installed the game from the 1996 CD, and that explains it. You should find an official patch. This Ultimate Patch is no substitute for that, it won't upgrade your main game directory (in a way that we want here).

#5 2020-04-23 09:32:31

negke
Moderator

Re: PreviousArmor doesn´t work

Yeah, calling it "ultimate patch" is ludicrous.
Like dwere says, you need to actually patch the game(code). The Steam version should be v1.06 (instead of 1.01), but if your game is from elsewhere, then simply extract this into your id1/ directory. Then you can enter bind mwheeldown "impulse 12" in the console to use the previous weapon command or assign it through the options menu if using a modern source port.

#6 2020-04-23 13:03:46

Zorjo
Member

Re: PreviousArmor doesn´t work

Ok!! Solved. The problem was that, like you said, i didn´t had installed the official patch. I assumed that the Ultimate Patch had the official patches included. Now, everything is correct. Any recomendation for playing Quake in a modern setup? Besides the Ultimate Patch. Another, better patch, mods.....

Thanks for all.

Quick reply

Write your message and submit
Are you human or robot? If you have trouble, mail to spirit åt quaddicted døt c

Checking if this is requested by a real person and not an automated program.

Board footer